summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-10-19 19:29:34 +0300
committerAndrei Karas <akaras@inbox.ru>2017-10-19 19:29:34 +0300
commitfc19b6e55a85ae65f7396c58d8676b01c26040f2 (patch)
tree821068c50462fe9c89cf3809e830f138004ef41e
parent582cbce1320a1e86cdce133a563ebf0c43615d5d (diff)
parentb10c5b3cc6272ba3a3a75483d57c8a774e2512b2 (diff)
downloadspm-fc19b6e55a85ae65f7396c58d8676b01c26040f2.tar.gz
spm-fc19b6e55a85ae65f7396c58d8676b01c26040f2.tar.bz2
spm-fc19b6e55a85ae65f7396c58d8676b01c26040f2.tar.xz
spm-fc19b6e55a85ae65f7396c58d8676b01c26040f2.zip
Merge branch 'master' into SDL
-rwxr-xr-x.ci/addrepo.sh9
-rwxr-xr-x.ci/install.sh9
-rw-r--r--scripts/include/common.sh18
3 files changed, 28 insertions, 8 deletions
diff --git a/.ci/addrepo.sh b/.ci/addrepo.sh
new file mode 100755
index 0000000..febac0d
--- /dev/null
+++ b/.ci/addrepo.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ "$RUNFROMSHELL" != "" ];
+then
+ echo "Running from shell. Skipping apt-get install"
+ return
+fi
+
+echo "deb http://deb.debian.org/debian $1 main" >> /etc/apt/sources.list
diff --git a/.ci/install.sh b/.ci/install.sh
index d09c953..ca26375 100755
--- a/.ci/install.sh
+++ b/.ci/install.sh
@@ -8,5 +8,10 @@ fi
echo "apt-get update"
./.ci/retry.sh apt-get update || exit 1
-echo "apt-get -y -qq install git-core bash"
-./.ci/retry.sh apt-get -y -qq install $* || exit 1
+echo "apt-get -y install aptitude"
+./.ci/retry.sh apt-get -y install aptitude || exit 1
+
+echo "aptitude update"
+./.ci/retry.sh aptitude update || exit 1
+echo "aptitude -y install $*"
+./.ci/retry.sh aptitude -y install $* || exit 1
diff --git a/scripts/include/common.sh b/scripts/include/common.sh
index 9d253e6..974d66c 100644
--- a/scripts/include/common.sh
+++ b/scripts/include/common.sh
@@ -108,7 +108,8 @@ function run_autoreconf {
if [[ "${flags}" == "" ]]; then
flags="${AUTORECONF_FLAGS}"
fi
- cd "${srcdir}"
+ echo "cd ${srcdir}/${SUBDIR}"
+ cd "${srcdir}/${SUBDIR}"
check_error $?
echo "make distclean"
make distclean
@@ -119,7 +120,8 @@ function run_autoreconf {
}
function run_src_script {
- cd "${srcdir}"
+ echo "cd ${srcdir}/${SUBDIR}"
+ cd "${srcdir}/${SUBDIR}"
check_error $?
echo $@
$@
@@ -130,6 +132,8 @@ function run_enable_same_dir_build {
echo "copy sources from $srcdir to ${builddir}"
cp -r "$srcdir" "${builddir}/.."
export srcdir="$builddir"
+ echo mkdir -p "${builddir}/${SUBDIR}"
+ mkdir -p "${builddir}/${SUBDIR}" || true
echo "change src dir to $srcdir"
}
@@ -138,10 +142,11 @@ function run_configure {
if [[ "${flags}" == "" ]]; then
flags="${CONFIGURE_FLAGS}"
fi
- cd "${builddir}"
+ echo "cd ${builddir}/${SUBDIR}"
+ cd "${builddir}/${SUBDIR}"
check_error $?
- echo "configure --prefix=\"${bindir}\" ${flags}"
- eval "$srcdir"/configure --prefix="${bindir}" ${flags}
+ echo "$srcdir"/"$SUBDIR"/configure --prefix="${bindir}" "${flags}"
+ eval "$srcdir"/"$SUBDIR"/configure --prefix="${bindir}" ${flags}
check_error $?
unset flags
}
@@ -151,7 +156,8 @@ function run_cmake {
if [[ "${flags}" == "" ]]; then
flags="${CONFIGURE_FLAGS}"
fi
- cd "${builddir}"
+ echo "cd ${builddir}/${SUBDIR}"
+ cd "${builddir}/${SUBDIR}"
check_error $?
echo "cmake -DCMAKE_INSTALL_PREFIX:PATH=\"${bindir}\" \"$srcdir\" ${flags}"
eval cmake -DCMAKE_INSTALL_PREFIX:PATH="${bindir}" "$srcdir" ${flags}